apiVersion: app.kiegroup.org/v2
kind: KieApp
metadata:
  annotations:
    app.kiegroup.org: 7.8.1
  selfLink: /apis/app.kiegroup.org/v2/namespaces/rhdm-sandbox/kieapps/rhpam-demo
  resourceVersion: '303403'
  name: rhpam-demo
  uid: 3173397e-abae-4179-a17e-941a27a16646
  creationTimestamp: '2020-09-24T14:39:27Z'
  generation: 288
  managedFields:
    - apiVersion: app.kiegroup.org/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:commonConfig':
            .: {}
            'f:adminPassword': {}
            'f:adminUser': {}
          'f:environment': {}
          'f:objects':
            .: {}
            'f:console':
              .: {}
              'f:replicas': {}
          'f:upgrades': {}
        'f:status':
          .: {}
          'f:applied':
            .: {}
            'f:commonConfig': {}
            'f:objects':
              .: {}
              'f:console': {}
            'f:upgrades': {}
          'f:deployments': {}
      manager: console-cr-form
      operation: Update
      time: '2020-09-24T14:39:27Z'
    - apiVersion: app.kiegroup.org/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:objects':
            'f:console':
              'f:env': {}
            'f:servers': {}
      manager: Mozilla
      operation: Update
      time: '2020-09-25T20:14:09Z'
    - apiVersion: app.kiegroup.org/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:app.kiegroup.org': {}
        'f:status':
          'f:applied':
            'f:commonConfig':
              'f:adminPassword': {}
              'f:adminUser': {}
              'f:amqClusterPassword': {}
              'f:amqPassword': {}
              'f:applicationName': {}
              'f:dbPassword': {}
              'f:keyStorePassword': {}
            'f:environment': {}
            'f:objects':
              'f:console':
                'f:env': {}
                'f:replicas': {}
              'f:servers': {}
            'f:version': {}
          'f:conditions': {}
          'f:consoleHost': {}
          'f:deployments':
            'f:ready': {}
            'f:starting': {}
          'f:phase': {}
          'f:version': {}
      manager: kie-cloud-operator
      operation: Update
      time: '2020-09-25T20:14:14Z'
  namespace: rhdm-sandbox
spec:
  commonConfig:
    adminPassword: 'S3cr3tK3y#'
    adminUser: pamAdmin
  environment: rhpam-production
  objects:
    console:
      env:
        - name: ORG_APPFORMER_SIMPLIFIED_MONITORING_ENABLED
          value: 'true'
      replicas: 1
    servers:
      - database:
          size: 10Gi
          type: postgresql
        env:
          - name: FILTERS
            value: AC_ALLOW_ORIGIN
          - name: AC_ALLOW_ORIGIN_FILTER_RESPONSE_HEADER_NAME
            value: Access-Control-Allow-Origin
          - name: AC_ALLOW_ORIGIN_FILTER_RESPONSE_HEADER_VALUE
            value: '*'
          - name: AC_ALLOW_METHODS_FILTER_RESPONSE_HEADER_NAME
            value: Access-Control-Allow-Methods
          - name: AC_ALLOW_METHODS_FILTER_RESPONSE_HEADER_VALUE
            value: 'GET, POST, OPTIONS, PUT'
          - name: AC_ALLOW_HEADERS_FILTER_RESPONSE_HEADER_NAME
            value: Access-Control-Allow-Headers
          - name: AC_ALLOW_HEADERS_FILTER_RESPONSE_HEADER_VALUE
            value: 'Accept, Authorization, Content-Type, X-Requested-With'
          - name: AC_ALLOW_CREDENTIALS_FILTER_RESPONSE_HEADER_NAME
            value: Access-Control-Allow-Credentials
          - name: AC_ALLOW_CREDENTIALS_FILTER_RESPONSE_HEADER_VALUE
            value: 'true'
          - name: AC_MAX_AGE_FILTER_RESPONSE_HEADER_NAME
            value: Access-Control-Max-Age
          - name: AC_MAX_AGE_FILTER_RESPONSE_HEADER_VALUE
            value: '1'
        id: kieservice1
        name: kieservice1
  upgrades: {}
status:
  applied:
    commonConfig:
      adminPassword: 'S3cr3tK3y#'
      adminUser: pamAdmin
      amqClusterPassword: W27tjoHZ
      amqPassword: LwQHf7M3
      applicationName: rhpam-demo
      dbPassword: qUb66iG7
      keyStorePassword: 3yy4sVOR
    environment: rhpam-production
    objects:
      console:
        env:
          - name: ORG_APPFORMER_SIMPLIFIED_MONITORING_ENABLED
            value: 'true'
        replicas: 1
      servers:
        - database:
            size: 10Gi
            type: postgresql
          deployments: 1
          env:
            - name: FILTERS
              value: AC_ALLOW_ORIGIN
            - name: AC_ALLOW_ORIGIN_FILTER_RESPONSE_HEADER_NAME
              value: Access-Control-Allow-Origin
            - name: AC_ALLOW_ORIGIN_FILTER_RESPONSE_HEADER_VALUE
              value: '*'
            - name: AC_ALLOW_METHODS_FILTER_RESPONSE_HEADER_NAME
              value: Access-Control-Allow-Methods
            - name: AC_ALLOW_METHODS_FILTER_RESPONSE_HEADER_VALUE
              value: 'GET, POST, OPTIONS, PUT'
            - name: AC_ALLOW_HEADERS_FILTER_RESPONSE_HEADER_NAME
              value: Access-Control-Allow-Headers
            - name: AC_ALLOW_HEADERS_FILTER_RESPONSE_HEADER_VALUE
              value: 'Accept, Authorization, Content-Type, X-Requested-With'
            - name: AC_ALLOW_CREDENTIALS_FILTER_RESPONSE_HEADER_NAME
              value: Access-Control-Allow-Credentials
            - name: AC_ALLOW_CREDENTIALS_FILTER_RESPONSE_HEADER_VALUE
              value: 'true'
            - name: AC_MAX_AGE_FILTER_RESPONSE_HEADER_NAME
              value: Access-Control-Max-Age
            - name: AC_MAX_AGE_FILTER_RESPONSE_HEADER_VALUE
              value: '1'
          id: kieservice1
          name: kieservice1
          replicas: 3
    upgrades: {}
    version: 7.8.1
  conditions:
    - lastTransitionTime: '2020-09-24T14:39:29Z'
      status: 'True'
      type: Provisioning
      version: 7.8.1
    - lastTransitionTime: '2020-09-24T14:39:30Z'
      status: 'True'
      type: Deployed
      version: 7.8.1
    - lastTransitionTime: '2020-09-24T15:04:48Z'
      status: 'True'
      type: Provisioning
      version: 7.8.1
    - lastTransitionTime: '2020-09-24T15:04:48Z'
      status: 'True'
      type: Deployed
      version: 7.8.1
    - lastTransitionTime: '2020-09-24T15:14:17Z'
      status: 'True'
      type: Provisioning
      version: 7.8.1
    - lastTransitionTime: '2020-09-24T15:14:17Z'
      status: 'True'
      type: Deployed
      version: 7.8.1
    - lastTransitionTime: '2020-09-25T19:41:59Z'
      status: 'True'
      type: Provisioning
      version: 7.8.1
    - lastTransitionTime: '2020-09-25T19:41:59Z'
      status: 'True'
      type: Deployed
      version: 7.8.1
    - lastTransitionTime: '2020-09-25T20:14:09Z'
      status: 'True'
      type: Provisioning
      version: 7.8.1
    - lastTransitionTime: '2020-09-25T20:14:10Z'
      status: 'True'
      type: Deployed
      version: 7.8.1
  consoleHost: >-
    https://rhpam-demo-rhpamcentrmon-rhdm-sandbox.apps.cluster-9c83.9c83.example.opentlc.com
  deployments:
    ready:
      - kieservice1-postgresql
      - rhpam-demo-rhpamcentrmon
    starting:
      - kieservice1
  phase: Deployed
  version: 7.8.1
